---

#! /cephfs/tmp/d20250118-510725-5e967k/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: gpio
job_origin: kernel-selftests.yaml
queue: bisect
testbox: lkp-csl-d01
commit: 8bd76b3d3f3af7ac2898b6a27ad90c444fec418f
branch: internal-eywa/master
kconfig: x86_64-dcg_x86_64_defconfig-kselftests
extend_kconfig: '1'
name: "/cephfs/tmp/d20250118-510725-5e967k/kernel-selftests.yaml"
kernel_cmdline:
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-gpio-debian-12-x86_64-20240206.cgz-8bd76b3d3f3a-20250120-540050-xa9u83-1.yaml"
id: 65bfc7921754e32ebdeb5511ab133ab6a62b980b
queuer_version: "/zday/lkp"

#! /db/releases/20250118091411/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20250118091411/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250118091411/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250118091411/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- BLOCK: "y"
- BTRFS_FS: m
- FTRACE: "y"
- IP_ADVANCED_ROUTER: "y"
- IP_MULTIPLE_TABLES: "y"
- RC_CORE
- RC_DECODERS: "y"
- RC_DEVICES: "y"
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: "y"
- STAGING: "y"
- SYNC_FILE: "y"
- TEST_FIRMWARE: m
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY: m
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: "y"
- SCHED_DEBUG: "y"
- SHMEM: "y"
- TMPFS: "y"
initrds:
- linux_headers
- linux_selftests
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2025-01-20 09:24:12.423098159 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/gpio/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250120-101558"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/gpio/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/0
- BOOT_IMAGE=/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/vmlinuz-6.13.0-rc5-00004-g8bd76b3d3f3a
- branch=internal-eywa/master
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-gpio-debian-12-x86_64-20240206.cgz-8bd76b3d3f3a-20250120-540050-xa9u83-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-dcg_x86_64_defconfig-kselftests
- commit=8bd76b3d3f3af7ac2898b6a27ad90c444fec418f
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20241208.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7503345ac5f5-1_20241208.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250118091411/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-gpio-debian-12-x86_64-20240206.cgz-8bd76b3d3f3a-20250120-540050-xa9u83-1.cgz"
last_kernel: 6.13.0-rc6-00004-g23318d4b7769
acpi_rsdp: '0x000f05b0'

#! queue options
queue_cmdline_keys:
- branch
- commit

#! user overrides
kernel: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/vmlinuz-6.13.0-rc5-00004-g8bd76b3d3f3a"
result_root: "/result/kernel-selftests/gpio/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/8bd76b3d3f3af7ac2898b6a27ad90c444fec418f/0"

#! /db/releases/20250120134802/lkp-src/include/site/inn
dequeue_time: 2025-01-20 14:02:36.763485786 +08:00
job_state: finished
loadavg: 1.48 0.55 0.20 1/443 2689
start_time: '1737353067'
end_time: '1737353075'
version: "/lkp/lkp/.src-20250120-101558:4c650791da00-dirty:8145b9c8127e-dirty"
